1

I've installed postfix as I normally do, using apt-get install postfix, but for some reason it's not including dict_pcre.so in the install. Is there something I've overlooked, or rather how and where do I get this missing package to install with my postfix?

# cat /proc/version
Linux version 3.2.0-4-amd64 (debian-kernel@lists.debian.org) (gcc version 4.6.3 (Debian 4.6.3-14) ) #1 SMP Debian 3.2.63-2+deb7u1

# postconf -m
btree
cidr
environ
fail
hash
internal
memcache
nis
proxy
regexp
sdbm
sqlite
static
tcp
texthash
unix
1

Looks like PCRE doesn't included by default by Debian maintainer. You have to install it by

apt-get install postfix-pcre

See: Debian -- Details of package postfix-pcre in wheezy


File list of package postfix-pcre in wheezy

File list of package postfix-pcre in wheezy of architecture amd64

/usr/lib/postfix/dict_pcre.so
/usr/share/doc/postfix-pcre/README.Debian
/usr/share/doc/postfix-pcre/changelog.Debian.gz
/usr/share/doc/postfix-pcre/changelog.gz
/usr/share/doc/postfix-pcre/copyright
  • Perfect! that's exactly what I needed, thank you :) – Dick Faps Dec 8 '14 at 23:27

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.